new computer, which BtS version to install??

Powerfaker

Warlord
Joined
Mar 30, 2016
Messages
297
So, my computer died 2 months ago. Since 1 month I have a new one, and now I am ready start with Civ again. One problem I would like to resolve before it shows up is having issues with the latest Buffy release that I had on my old system/BtS version.
I have asked for advice about these issues ± a year ago (which can be found in the ''rise and fall of the English'' by Noble Zarkon). One thing that was mentioned is that my BtS version of 2009 called final release 3.1.9.0 was actually not the final release and not expected to run at all with Buffy. (well, I always can get started but 80% of the games would crash at some point during a game)

Question 1: In case of buying a newer release, which BtS version should I at least be looking for with regard to the above mentioned (which year at least, which x.x.x.x version at least)?

Another thing I noticed when installing other stuff on my new computer is that I am asked to allow a (not specified) app to guide installation, which I allow and seems to help installing (out of date) things that I couldn't on my old computer.

Question 2: is it possible that with the app guidance (from Steam?) my current BtS version will be transformed in a better one? Which would mean I could use my current version. (can I try this safely, install civ=>install Buffy=>uninstall civ in case of not working? uninstall Buffy required too?).

The main goal here is to get a BtS version running that does not conflict somehow with the latest Buffy (5?)
Also worth mentioning is that i am running Windows 10 now instead of Donkey nuts :) Windows 8. Just saying the cause of my issues was not entirely clear……..
 

lymond

Rise Up! (Phoenix Style!)
Moderator
Hall of Fame Staff
Joined
Mar 11, 2008
Messages
23,795
Hey PF - I do recall this and went back and checked. It seems I gave you misinformation at the time. The reason for my error at the time is the difference between the specific patch version # and what is actually shown in the game under "about this build", which I assume you are referring to here. So yes, 3.1.9 is the final release and you are fine there.

Are you using Steam? Steam automatically installs the complete edition. There's nothing you need to do in that regard.

The issue with Steam though is that at some point a few years ago the release their own version to support multi-player. This version jacked up mods. So after complaints, Steam released a Beta release of the original version. So, if you have not done so, you need to update this in Steam. Right click on BTS in Steam Library>Properties>Beta tab>from drop down select "Original_release_unsupported..."

Steam will update the game basically reverting it to the original format.

You also need to do the following:

1) First, always run BTS from the executable in the BTS folder. Do not run it from the Steam Library.
2) For Win 10, I recommend changing compatibility to Win 7. 10 now has a compatibility troubleshooter that you run to set the compatibility mode. Right click on the main BTS executable and select "Troubleshoot Compatibility". Follow the instructions through the process to switch to Win 7 mode.
3) Likewise, set the game to run as administrator.
 

Powerfaker

Warlord
Joined
Mar 30, 2016
Messages
297
Hi Lymond,

Thanks for taking the time again to help me out here.
So I went on with installing and following your points, and …….. a first quick game test seems positive. .:rolleyes: Originally I would get an endless stream of the same message spoiling the screen. That is gone now. To be absolutely sure that I no longer have problems I would have play several games to the end. That will take some time.
The troubleshooter chose windows vista and I left it like that, by the way. But again, thanks for helping.
 
Top Bottom